"use strict";
const common_vendor = require("../../common/vendor.js");
const utils_previewImage = require("../../utils/previewImage.js");
const utils_api = require("../../utils/api.js");
const _sfc_main = {
  __name: "myMsg",
  setup(__props) {
    const userInfo = common_vendor.ref({});
    common_vendor.onLoad((options) => {
      if (options.id) {
        getUserInfo(options.id);
      } else {
        userInfo.value = common_vendor.index.getStorageSync("userInfo");
      }
    });
    const getUserInfo = async (id) => {
      const res = await utils_api.myRequest({
        url: "/wanzai/api/smartUser/queryInfoData",
        data: {
          id
        }
      });
      userInfo.value = res.data;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(userInfo.value.cardNo),
        b: common_vendor.t(userInfo.value.name),
        c: userInfo.value.identityId == 1
      }, userInfo.value.identityId == 1 ? {} : {}, {
        d: userInfo.value.identityId == 2
      }, userInfo.value.identityId == 2 ? {} : {}, {
        e: userInfo.value.identityId == 3
      }, userInfo.value.identityId == 3 ? {} : {}, {
        f: common_vendor.t(userInfo.value.idCard ? userInfo.value.idCard : "暂无"),
        g: common_vendor.t(userInfo.value.sexId == 0 ? "女" : "男"),
        h: common_vendor.t(userInfo.value.departmentName),
        i: userInfo.value.headImage
      }, userInfo.value.headImage ? {
        j: userInfo.value.headImage,
        k: common_vendor.o(($event) => common_vendor.unref(utils_previewImage.previewImage)(userInfo.value.headImage))
      } : {}, {
        l: common_vendor.t(userInfo.value.grade ? userInfo.value.grade : "暂无"),
        m: common_vendor.t(userInfo.value.college ? userInfo.value.college : "暂无"),
        n: common_vendor.t(userInfo.value.school_class ? userInfo.value.school_class : "暂无"),
        o: common_vendor.t(userInfo.value.campus ? userInfo.value.campus : "暂无"),
        p: common_vendor.t(userInfo.value.dormitoryNumber ? userInfo.value.dormitoryNumber : "暂无"),
        q: common_vendor.t(userInfo.value.phone ? userInfo.value.phone : "暂无"),
        r: common_vendor.t(userInfo.value.affiliateName ? userInfo.value.affiliateName : "暂无"),
        s: common_vendor.t(userInfo.value.title ? userInfo.value.title : "暂无"),
        t: common_vendor.t(userInfo.value.address ? userInfo.value.address : "暂无"),
        v: common_vendor.t(userInfo.value.nation ? userInfo.value.nation : "暂无"),
        w: common_vendor.t(userInfo.value.ofStudent ? userInfo.value.ofStudent : "暂无"),
        x: common_vendor.t(userInfo.value.graduate ? userInfo.value.graduate : "暂无"),
        y: common_vendor.t(userInfo.value.zhiwu ? userInfo.value.zhiwu : "暂无")
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a95eda84"], ["__file", "E:/workSpace/WanZai_School_app/pages/myMsg/myMsg.vue"]]);
wx.createPage(MiniProgramPage);
